unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, RTFReports, OleCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    RTFReport1: TRTFReport;
    Button1: TButton;
    Memo1: TMemo;
    RichEdit1: TRichEdit;
    procedure Button1Click(Sender: TObject);
    procedure RTFReport1Title(Sender: TObject);
    procedure RTFReport1Headers(Sender: TObject);
    procedure RTFReport1Page(Sender: TObject);
    procedure RTFReport1Detail(Sender: TObject);
    procedure RTFReport1Print(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 RTFReport1.Print;
 RTFReport1.RTF.SaveToFile('c:\windows\bureau\rtfreport.rtf');
 Memo1.Lines.LoadFromFile('c:\windows\bureau\rtfreport.rtf');
 RichEdit1.Lines.LoadFromFile('c:\windows\bureau\rtfreport.rtf');
end;

procedure TForm1.RTFReport1Print(Sender: TObject);
begin
 With RTFReport1 do begin
  BeginDoc;
  Title;
  Headers;
  Detail;
  Page;
  EndDoc;
 end;
end;

procedure TForm1.RTFReport1Title(Sender: TObject);
begin
 with RTFReport1 do begin
  WriteLn('Hello');
 end;
end;

procedure TForm1.RTFReport1Headers(Sender: TObject);
begin
 with RTFReport1 do begin
  BeginSection; // new pararagraph
   Font.Name:='Arial';
   Font.Size:=22;
   Font.Style:=[fsItalic,fsBold];
   AddBorder(bpBottom,bsEmboss);
   WriteLn('Sample'#9'Text');
  EndSection;
 end;
end;

procedure TForm1.RTFReport1Detail(Sender: TObject);
var
 i:integer;
begin
 with RTFReport1 do begin
  BeginSection;
   AddTabs(tsCenter,[10,100,150,200]);
   Font.Style:=[fsBold];
   WriteLn('A\tab B\tab C\tab D');
   Font.Style:=[];
   for i:=1 to 5 do begin
    WriteLn('1'#9'2'#9'3'#9'4');
   end;
  EndSection;
 end;
end;

procedure TForm1.RTFReport1Page(Sender: TObject);
begin
 with RTFReport1 do begin
  WriteLn('ok');
 end;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
 RichEdit1.Height:=ClientHeight-Memo1.Height-40;
end;

end.
